tt2df {cna} | R Documentation

## Transform a truth table into a data frame

### Description

Transform a truth table into a data frame. This is the converse function of `truthTab`.

### Usage

    tt2df(tt)

### Arguments

`tt` | A `truthTab`.

### Details

Rows in the `truthTab` corresponding to several cases are rendered as multiple rows in the resulting data frame.

### Value

A data frame.

### See Also

`truthTab`

### Examples

    tt.educate <- truthTab(d.educate[1:2])
    tt.educate
    tt2df(tt.educate)

    dat1 <- some(truthTab(allCombs(c(2, 2, 2, 2, 2)) - 1), n = 200, replace = TRUE)
    dat2 <- selectCases("(A*b + a*B <-> C)*(C*d + c*D <-> E)", dat1)
    dat2
    tt2df(dat2)

    dat3 <- data.frame(
      A = c(1,1,1,1,1,1,0,0,0,0,0),
      B = c(1,1,1,0,0,0,1,1,1,0,0),
      C = c(1,1,1,1,1,1,1,1,1,0,0),
      D = c(1,0,0,1,0,0,1,1,0,1,0),
      E = c(1,1,0,1,1,0,1,0,1,1,0)
      )
    tt.dat3 <- truthTab(dat3, frequency = c(4,3,5,7,4,6,10,2,4,3,12))
    tt2df(tt.dat3)

[Package cna version 2.2.0 Index]